Subject: bug#17420: [PATCH] grep: always convert fgrep to grep

From: Paul Eggert <[email-masked]>
Date: Fri, 09 May 2014 23:44:01 -0700

Thanks, I see your point, so let's ignore my patch.  Still, I'd rather 
not have the behavior depend on environment variables, and I'd rather 
have grep "just work" without the user having to specify options.  Is 
there a better heuristic for deciding whether to use Commentz-Walter? 
If not, perhaps we should leave the code alone.

> Beate Commentz-Waltertz Walter algorithm in KWset hasn't impremented Galil rule yet.

Can the Galil rule be adapted to Commentz-Walter?  I didn't know this 
was possible.

Another possibility might be to replace Commentz-Walter with some other 
algorithm (Aho-Corasick, modified Wu-Manber, etc.)  I suppose this would 
be a bigger project, though.